Get Custom Links

Purpose

To retrieve the custom links configured for a module.

Endpoints

  • GET /settings/custom_links
  • GET /settings/custom_links/{custom_link_ID}

Request Details

Request URL

{api-domain}/crm/{version}/settings/custom_links

Header

Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52

Scope

ZohoCRM.settings.custom_links.ALL
(or)
ZohoCRM.settings.custom_links.READ

Parameters

  • modulestring, mandatory

    Represents the API name of the module whose custom links you want to retrieve. Use the Get Modules API to get the API name of the module.

Sample Request

Copiedcurl "https://www.zohoapis.com/crm/v8/settings/custom_links"
-X GET
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"

Response JSON Keys

  • idstring

    Represents the unique ID of the custom link.

  • namestring

    Represents the name of the custom link.

  • descriptionstring

    Represents the description of the custom link.

  • urlstring

    Represents the URL configured as the custom link.

  • url_encodingstring

    Represents the URL encoding type of the custom link. Possible values are UTF-8 (Unicode), UTF-16 (Unicode), ISO-8859-1, ISO-8859-9 (Turkish), GB2312 (Simplified Chinese), Big5 (Traditional Chinese), Shift_JIS (Japanese).

  • profilesJSON array

    Represents the list of profiles that have access to the custom link. Each JSON object in this array contains the id and name of a profile.

  • user_typesJSON array

    Represents the list of user types that have access to the custom link. Each JSON object in this array contains the id and name of a user type. Returns null if no user types are configured.

  • modified_timedatetime

    Represents the date and time when the custom link was last modified.

  • modified_byJSON object

    Represents the user who last modified the custom link. Contains the id and name of the user.

  • infoJSON object

    Represents the pagination details of the response. Contains the following keys:

    • page — The current page number.
    • per_page — The number of records returned per page.
    • count — The total number of records returned in the current page.
    • has_more — Indicates whether more records are available beyond the current page.

Possible Errors

  • REQUIRED_PARAM_MISSINGHTTP 400

    You have not included the "module" parameter in the request.
    Resolution: "module" is a mandatory parameter in the request.

  • INVALID_REQUEST_METHODHTTP 400

    The request method is incorrect.
    Resolution: Use the HTTP GET method to make this API call.

  • OAUTH_SCOPE_MISMATCHHTTP 401

    The access token you have used to make this API call does not have the required scope.
    Resolution: Generate a new access token with the scope ZohoCRM.settings.custom_links.READ or ZohoCRM.settings.custom_links.ALL.

  • NO_PERMISSIONHTTP 403

    You do not have permission to view custom links.
    Resolution: Contact your system administrator.

  • INVALID_URL_PATTERNHTTP 404

    The request URL is incorrect.
    Resolution: Specify a valid request URL. Refer to the Request URL section for the right URL.

  • INTERNAL_ERRORHTTP 500

    Unexpected and unhandled exception in the server.
    Resolution: Contact the support team at support@zohocrm.com.

Sample Response

Copied{
    "custom_links": [
        {
            "name": "LinkedIn",
            "description": "description_content",
            "url": "https://linkedin.com/userA",
            "url_encoding": "UTF-8",
            "id": "554023000006627007",
            "profiles": [
                {
                    "id": "554023000000015975",
                    "name": "Standard"
                }
            ],
            "user_types": null,
            "modified_time": "2026-04-07T16:27:31-11:00",
            "modified_by": {
                "id": "554023000000235011",
                "name": "Patricia Boyle"
            }
        }
    ],
    "info": {
        "page": 1,
        "per_page": 200,
        "count": 1,
        "has_more": false
    }
}